#pragma once

#include <functional>

namespace ant::render {
	enum class layer_pos {
		start,
		any,
		end
	};
	void schedule_in_frame(int layer, std::function<void()> fn, layer_pos pos = layer_pos::any);
	void schedule_in_frame(int layer, auto fn, layer_pos pos = layer_pos::any) {
		schedule_in_frame(layer, std::function<void()>{std::move(fn)}, pos);
	}
	void render_all();
}