#pragma once

#include "entity.h"
#include "raylib.h"

namespace ant::entities::utilities {
	
	struct background_entity : public ant::core::entity {
		background_entity(const std::shared_ptr<entity>& parent, Color color)
		: ant::core::entity(parent)
		, m_color(color)
		{}
		void render() final;
	private:
		Color m_color;
	};
	
}